Package org.apache.solr.cluster.api

## Interface HashRange

All Known Implementing Classes:
  `DocRouter.Range`

    public interface HashRange

A range of hash that is stored in a shard

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default boolean` `includes​(int hash)` Check if a given hash falls in this range
`default boolean` `isSubset​(HashRange subset)` Check if another range is a subset of this range
`int` `max()` maximum value (inclusive)
`int` `min()` minimum value (inclusive)

### Method Detail

#### min

    int min()

minimum value (inclusive)

#### max

    int max()

maximum value (inclusive)

#### includes

    default boolean includes​(int hash)

Check if a given hash falls in this range

#### isSubset

    default boolean isSubset​(HashRange subset)

Check if another range is a subset of this range